<div class="class-item-container">
    <mat-checkbox
        class="align-center"
        color="primary"
        [value]="classItem.id"
        [checked]="selected"
        (change)="onCheckboxChange($event)">
    </mat-checkbox>
    <div
        class="class-color align-center"
        [ngStyle]="{'background-color': classColorEntity?.color}">
    </div>
    <div class="align-center class-name" [matTooltip]="classItemTooltip">{{classItem.name}}</div>
</div>
